from flask import Flask
from flask_login import LoginManager

from .config import ContactSettings

# Configure Authentication
login_manager = LoginManager()
login_manager.session_protection = "strong"
login_manager.login_view = "user.user_login"


def create_app(config: ContactSettings = None):
    app = Flask("htmx_contact")

    app.config.from_object(config if config else ContactSettings())
    login_manager.init_app(app)

    from . import main

    app.register_blueprint(main.bp)

    from . import user

    app.register_blueprint(user.bp)

    return app
